ARG php_version
FROM registry.gitlab.com/devup.sh/php-nginx/${php_version}

ARG xdebug_version="2.9.0"
RUN apk add --no-cache --virtual .build-deps $PHPIZE_DEPS \
    && pecl install xdebug-$xdebug_version \
    && docker-php-ext-enable xdebug \
    && apk del -f .build-deps
COPY xdebug/xdebug-config.ini /usr/local/etc/php/conf.d/xdebug-config.ini
RUN echo 'alias composer="php /var/www/composer.phar"' >> /etc/profile
RUN echo 'PHP_IDE_CONFIG=serverName=localhost' >> /etc/profile
RUN apk add --update --no-cache nodejs npm git mysql-client
RUN npm install -g yarn \
 && npm cache clean --force
